Class | EventMachine::Reactor
In: | lib/pr_eventmachine.rb
Parent: | Object

### Methods

add_selectable close_loopbreaker crank_selectables get_selectable initialize_for_run install_oneshot_timer new open_loopbreaker run run_heartbeats run_timers set_timer_quantum signal_loopbreak stop

### Included Modules

Singleton

### Constants

HeartbeatInterval | = | 2

### Attributes

current_loop_time | [R] |

### Public Class methods

new()

### Public Instance methods

add_selectable(io)
close_loopbreaker()
crank_selectables()
get_selectable(uuid)
initialize_for_run()

Called before run, this is a good place to clear out arrays with cruft that may be left over from a previous run.

install_oneshot_timer(interval)
open_loopbreaker()
run()
run_heartbeats()
run_timers()
set_timer_quantum(interval_in_seconds)
signal_loopbreak()
stop()

stop

[Validate]